package worldclient.helper;

import java.awt.KeyEventDispatcher;
import java.awt.event.KeyEvent;
import worldclient.app.WorldClientApp;
import worldclient.model.WorldClientState;

/**
 *
 * @author Fernando.Martines
 */
public class WorldClientKeyDispatcher implements KeyEventDispatcher {

    boolean keyUpPressed;
    boolean keyDownPressed;
    boolean keyLeftPressed;
    boolean keyRightPressed;
    
    @Override
    public boolean dispatchKeyEvent(KeyEvent e) {
        
        switch (e.getKeyCode()) {
        case KeyEvent.VK_UP:
            keyUpPressed    = e.getID() == KeyEvent.KEY_PRESSED; break;
        case KeyEvent.VK_DOWN:
            keyDownPressed  = e.getID() == KeyEvent.KEY_PRESSED; break;
        case KeyEvent.VK_LEFT:
            keyLeftPressed  = e.getID() == KeyEvent.KEY_PRESSED; break;
        case KeyEvent.VK_RIGHT:
            keyRightPressed = e.getID() == KeyEvent.KEY_PRESSED; break;
        }

        StringBuilder s = new StringBuilder();
        if (keyUpPressed) s.append(WorldClientState.KeyboardState.UP_KEY_PRESSED).append("|");
        if (keyDownPressed) s.append(WorldClientState.KeyboardState.DOWN_KEY_PRESSED).append("|");
        if (keyLeftPressed) s.append(WorldClientState.KeyboardState.LEFT_KEY_PRESSED).append("|");
        if (keyRightPressed) s.append(WorldClientState.KeyboardState.RIGHT_KEY_PRESSED).append("|");

        WorldClientApp.getInstance().getState().setKeyBoardState(s.toString());

        return false;
    }
    
}
