package worldclient.model;

import java.util.Observable;

/**
 *
 * @author Fernando.Martines
 */
public class WorldClientState extends Observable {

    public static enum KeyboardState {

        NO_KEY_PRESSED(""),
        UP_KEY_PRESSED("UP"),
        UP_DOWN_KEY_PRESSED("UP|DOWN"),
        DOWN_KEY_PRESSED("DOWN"),
        LEFT_KEY_PRESSED("LEFT"),
        LEFT_UP_KEY_PRESSED("LEFT|UP"),
        LEFT_DOWN_KEY_PRESSED("LEFT|DOWN"),
        LEFT_RIGHT_KEY_PRESSED("LEFT|RIGHT"),
        RIGHT_KEY_PRESSED("RIGHT"),
        RIGHT_UP_KEY_PRESSED("RIGHT|UP"),
        RIGHT_DOWN_KEY_PRESSED("RIGHT|DOWN")
        ;
        
        private final String text;

        private KeyboardState(final String text) {
            this.text = text;
        }

        @Override
        public String toString() {
            return text;
        }
    }
    
    private KeyboardState keyboardState;

    public KeyboardState getKeyboardState() {
        return keyboardState;
    }
    
    public void setKeyBoardState(String keyboardStateString) {
        String s = keyboardStateString;
        this.keyboardState = KeyboardState.NO_KEY_PRESSED;
        if (s.contains("LEFT") && s.contains("UP")) {
            this.keyboardState = KeyboardState.LEFT_UP_KEY_PRESSED;
        } else if (s.contains("LEFT") && s.contains("DOWN")) {
            this.keyboardState = KeyboardState.LEFT_DOWN_KEY_PRESSED;
        } else if (s.contains("LEFT") && s.contains("RIGHT")) {
            this.keyboardState = KeyboardState.LEFT_RIGHT_KEY_PRESSED;
        } else if (s.contains("LEFT")) {
            this.keyboardState = KeyboardState.LEFT_KEY_PRESSED;
        } else if (s.contains("RIGHT") && s.contains("UP")) {
            this.keyboardState = KeyboardState.RIGHT_UP_KEY_PRESSED;
        } else if (s.contains("RIGHT") && s.contains("DOWN")) {
            this.keyboardState = KeyboardState.RIGHT_DOWN_KEY_PRESSED;
        } else if (s.contains("RIGHT")) {
            this.keyboardState = KeyboardState.RIGHT_KEY_PRESSED;
        } else if (s.contains("UP") && s.contains("DOWN")) {
            this.keyboardState = KeyboardState.UP_DOWN_KEY_PRESSED;
        } else if (s.contains("UP")) {
            this.keyboardState = KeyboardState.UP_KEY_PRESSED;
        } else if (s.contains("DOWN")) {
            this.keyboardState = KeyboardState.DOWN_KEY_PRESSED;
        }
        
        this.setChanged();
        this.notifyObservers(this.keyboardState);
    }

}

