package worldclient.model;

import java.awt.Point;
import java.util.Observable;

/**
 *
 * @author Fernando.Martines
 */
public class WorldServer extends Observable {

    public static enum Property {
        WORLD_SERVER_RUNNING_PROPERTY,
        WORLD_SERVER_STARTED_PROPERTY,
        WORLD_SERVER_CONNECTED_PROPERTY,
        WORLD_SERVER_CREATURES_PROPERTY,
        WORLD_SERVER_ENVIRONMENT_PROPERTY,
    }
    
    private boolean running;
    private boolean started;
    private boolean connected;
    private Point environmentDimension;
    private int totalOfCreatures;

    public WorldServer() {
        this.running = false;
        this.started = false;
        this.connected = false;
        this.totalOfCreatures = 0;
        this.environmentDimension = new Point(0, 0);
    }

    public boolean isConnected() {
        return connected;
    }

    public void setConnected(boolean connected) {
        this.connected = connected;
        this.setChanged();
        this.notifyObservers(Property.WORLD_SERVER_CONNECTED_PROPERTY);
    }
    
    public boolean isStarted() {
        return started;
    }

    public void setStarted(boolean started) {
        this.started = started;
        this.setChanged();
        this.notifyObservers(Property.WORLD_SERVER_STARTED_PROPERTY);
    }

    public boolean isRunning() {
        return running;
    }

    public void setRunning(boolean running) {
        this.running = running;
        this.setChanged();
        this.notifyObservers(Property.WORLD_SERVER_RUNNING_PROPERTY);
    }

    public Point getEnvironmentDimension() {
        return environmentDimension;
    }

    public void setEnvironmentDimension(Point environmentDimension) {
        this.environmentDimension = environmentDimension;
        this.setChanged();
        this.notifyObservers(Property.WORLD_SERVER_ENVIRONMENT_PROPERTY);
    }

    public int getTotalOfCreatures() {
        return totalOfCreatures;
    }

    public void setTotalOfCreatures(int totalOfCreatures) {
        this.totalOfCreatures = totalOfCreatures;
        this.setChanged();
        this.notifyObservers(Property.WORLD_SERVER_CREATURES_PROPERTY);
    }

}
