package worldclient.util;

import java.awt.List;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.swing.Icon;

/**
 *
 * @author Fernando.Martines
 */
public class Resources {

    public static final String REMOTE_CONTROL_RESOURCE = "/RemoteControl.png";
    public static final String REMOTE_CONTROL_UP_KEY_PRESSED_RESOURCE = "/RemoteControl-UpButton.png";
    public static final String REMOTE_CONTROL_UP_DOWN_KEY_PRESSED_RESOURCE = "/RemoteControl-UpDownButton.png";
    public static final String REMOTE_CONTROL_DOWN_KEY_PRESSED_RESOURCE = "/RemoteControl-DownButton.png";
    public static final String REMOTE_CONTROL_LEFT_KEY_PRESSED_RESOURCE = "/RemoteControl-LeftButton.png";
    public static final String REMOTE_CONTROL_LEFT_UP_KEY_PRESSED_RESOURCE = "/RemoteControl-LeftUpButton.png";
    public static final String REMOTE_CONTROL_LEFT_DOWN_KEY_PRESSED_RESOURCE = "/RemoteControl-LeftDownButton.png";
    public static final String REMOTE_CONTROL_LEFT_RIGHT_KEY_PRESSED_RESOURCE = "/RemoteControl-LeftRightButton.png";
    public static final String REMOTE_CONTROL_RIGHT_KEY_PRESSED_RESOURCE = "/RemoteControl-RightButton.png";
    public static final String REMOTE_CONTROL_RIGHT_UP_KEY_PRESSED_RESOURCE = "/RemoteControl-RightUpButton.png";
    public static final String REMOTE_CONTROL_RIGHT_DOWN_KEY_PRESSED_RESOURCE = "/RemoteControl-RightDownButton.png";
    
    public static final Icon REMOTE_CONTROL_IMAGE;
    public static final Icon REMOTE_CONTROL_UP_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_UP_DOWN_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_DOWN_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_LEFT_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_LEFT_UP_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_LEFT_DOWN_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_LEFT_RIGHT_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_RIGHT_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_RIGHT_UP_KEY_PRESSED_IMAGE;
    public static final Icon REMOTE_CONTROL_RIGHT_DOWN_KEY_PRESSED_IMAGE;

    private static final LinkedHashMap<String,Icon> remoteControlImages = new LinkedHashMap<String,Icon>();
    
    static {
        REMOTE_CONTROL_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_RESOURCE));
        REMOTE_CONTROL_UP_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_UP_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_UP_DOWN_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_UP_DOWN_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_DOWN_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_DOWN_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_LEFT_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_LEFT_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_LEFT_UP_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_LEFT_UP_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_LEFT_DOWN_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_LEFT_DOWN_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_LEFT_RIGHT_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_LEFT_RIGHT_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_RIGHT_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_RIGHT_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_RIGHT_UP_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_RIGHT_UP_KEY_PRESSED_RESOURCE));
        REMOTE_CONTROL_RIGHT_DOWN_KEY_PRESSED_IMAGE = new javax.swing.ImageIcon(Resources.class.getResource(REMOTE_CONTROL_RIGHT_DOWN_KEY_PRESSED_RESOURCE));
        
        remoteControlImages.put(REMOTE_CONTROL_RESOURCE, REMOTE_CONTROL_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_UP_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_UP_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_UP_DOWN_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_UP_DOWN_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_DOWN_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_DOWN_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_LEFT_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_LEFT_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_LEFT_UP_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_LEFT_UP_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_LEFT_DOWN_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_LEFT_DOWN_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_LEFT_RIGHT_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_LEFT_RIGHT_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_RIGHT_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_RIGHT_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_RIGHT_UP_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_RIGHT_UP_KEY_PRESSED_IMAGE);
        remoteControlImages.put(REMOTE_CONTROL_RIGHT_DOWN_KEY_PRESSED_RESOURCE, REMOTE_CONTROL_RIGHT_DOWN_KEY_PRESSED_IMAGE);
    }
    
    public Icon getIcon(String resource) {
        return remoteControlImages.get(resource); 
    }
    
    
}
