package worldclient.view;

import java.awt.KeyboardFocusManager;
import javax.swing.JFrame;
import javax.swing.JLabel;
import worldclient.app.WorldClientApp;
import worldclient.helper.WorldClientKeyDispatcher;

/**
 *
 * @author Fernando
 */
public class WorldClientView extends javax.swing.JFrame {

    private WorldClientApp app = WorldClientApp.getInstance();
    
    /**
     * Creates new form WorldClientView
     */
    public WorldClientView() {
        initComponents();
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("WorldClient - Agent Controller - Marionette Stage @ Autor: Fernando Martines (RA:087570)");
        //setSize(650, 350);
        
        // start key listener
        KeyboardFocusManager manager =
                KeyboardFocusManager.getCurrentKeyboardFocusManager();
        manager.addKeyEventDispatcher(new WorldClientKeyDispatcher());        
        
        this.textAddr.setEnabled(false);
        this.textPort.setEnabled(false);
        this.buttonConnect.setEnabled(false);
        
        this.textCreatureId.setEnabled(false);
        this.buttonNewCreature.setEnabled(false);

        this.buttonRecharge.setEnabled(false);
        this.buttonStop.setEnabled(false);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelTitle = new javax.swing.JPanel();
        labelAppTitle = new javax.swing.JLabel();
        labelStage = new javax.swing.JLabel();
        panelWorldServer = new javax.swing.JPanel();
        labelWorldServer3D = new javax.swing.JLabel();
        labelAddr = new javax.swing.JLabel();
        labelPort = new javax.swing.JLabel();
        textAddr = new javax.swing.JTextField();
        textPort = new javax.swing.JFormattedTextField();
        buttonConnect = new javax.swing.JButton();
        labelCreatures = new javax.swing.JLabel();
        buttonNewCreature = new javax.swing.JButton();
        labelCreatureId = new javax.swing.JLabel();
        textCreatureId = new javax.swing.JFormattedTextField();
        panelCreature = new javax.swing.JPanel();
        labelCurrentCreature = new javax.swing.JLabel();
        labelLocation = new javax.swing.JLabel();
        textLocation = new javax.swing.JLabel();
        buttonRecharge = new javax.swing.JButton();
        buttonStop = new javax.swing.JButton();
        labelRemoteControl = new javax.swing.JLabel();
        textFuel = new javax.swing.JLabel();
        labelFuel = new javax.swing.JLabel();
        labelStatus = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        panelTitle.setBackground(new java.awt.Color(102, 102, 102));
        panelTitle.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 0, new java.awt.Color(200, 200, 200)));

        labelAppTitle.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        labelAppTitle.setForeground(new java.awt.Color(255, 255, 255));
        labelAppTitle.setText("World Client # Agent Controller");

        labelStage.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        labelStage.setForeground(new java.awt.Color(255, 255, 153));
        labelStage.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelStage.setText("# Marionette Stage");

        javax.swing.GroupLayout panelTitleLayout = new javax.swing.GroupLayout(panelTitle);
        panelTitle.setLayout(panelTitleLayout);
        panelTitleLayout.setHorizontalGroup(
            panelTitleLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelTitleLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(labelAppTitle)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(labelStage)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        panelTitleLayout.setVerticalGroup(
            panelTitleLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelTitleLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(panelTitleLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(labelAppTitle, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(labelStage, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );

        panelWorldServer.setMaximumSize(new java.awt.Dimension(32767, 25));
        panelWorldServer.setMinimumSize(new java.awt.Dimension(100, 25));
        panelWorldServer.setPreferredSize(new java.awt.Dimension(681, 30));

        labelWorldServer3D.setBackground(new java.awt.Color(102, 102, 102));
        labelWorldServer3D.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        labelWorldServer3D.setText("  World Server 3D  ");
        labelWorldServer3D.setOpaque(true);
        labelWorldServer3D.setPreferredSize(new java.awt.Dimension(129, 25));

        labelAddr.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        labelAddr.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelAddr.setText("IP:");

        labelPort.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        labelPort.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelPort.setText("Port:");

        textAddr.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textAddr.setText("127.0.0.1");
        textAddr.setPreferredSize(new java.awt.Dimension(60, 25));

        textPort.setText("4011");
        textPort.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textPort.setPreferredSize(new java.awt.Dimension(34, 25));

        buttonConnect.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        buttonConnect.setText("Connect!");
        buttonConnect.setPreferredSize(new java.awt.Dimension(100, 30));
        buttonConnect.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonConnectActionPerformed(evt);
            }
        });

        labelCreatures.setBackground(new java.awt.Color(102, 102, 102));
        labelCreatures.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        labelCreatures.setText("  Creatures");
        labelCreatures.setOpaque(true);
        labelCreatures.setPreferredSize(new java.awt.Dimension(129, 25));

        buttonNewCreature.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        buttonNewCreature.setText("Create!");
        buttonNewCreature.setPreferredSize(new java.awt.Dimension(100, 30));
        buttonNewCreature.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonNewCreatureActionPerformed(evt);
            }
        });

        labelCreatureId.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        labelCreatureId.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelCreatureId.setText("ID:");

        textCreatureId.setText("0");
        textCreatureId.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textCreatureId.setPreferredSize(new java.awt.Dimension(34, 25));

        javax.swing.GroupLayout panelWorldServerLayout = new javax.swing.GroupLayout(panelWorldServer);
        panelWorldServer.setLayout(panelWorldServerLayout);
        panelWorldServerLayout.setHorizontalGroup(
            panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelWorldServerLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(panelWorldServerLayout.createSequentialGroup()
                        .addComponent(labelWorldServer3D, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(labelAddr, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(panelWorldServerLayout.createSequentialGroup()
                        .addComponent(labelCreatures, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(labelCreatureId, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(panelWorldServerLayout.createSequentialGroup()
                        .addComponent(textAddr, javax.swing.GroupLayout.PREFERRED_SIZE, 127, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(labelPort, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(textPort, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(textCreatureId, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(buttonConnect, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(buttonNewCreature, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        panelWorldServerLayout.setVerticalGroup(
            panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelWorldServerLayout.createSequentialGroup()
                .addGroup(panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(labelAddr, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(textAddr, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(labelPort, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(textPort, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(buttonConnect, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(labelWorldServer3D, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(buttonNewCreature, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
                        .addComponent(labelCreatures, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(panelWorldServerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(labelCreatureId, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(textCreatureId, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addContainerGap())
        );

        panelCreature.setBackground(new java.awt.Color(0, 0, 0));

        labelCurrentCreature.setBackground(new java.awt.Color(102, 102, 102));
        labelCurrentCreature.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        labelCurrentCreature.setText("  Creature #0");
        labelCurrentCreature.setOpaque(true);
        labelCurrentCreature.setPreferredSize(new java.awt.Dimension(122, 25));

        labelLocation.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        labelLocation.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelLocation.setText("Location:");

        textLocation.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        textLocation.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        textLocation.setText("(0, 0)");

        buttonRecharge.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        buttonRecharge.setText("Recharge (A)");
        buttonRecharge.setPreferredSize(new java.awt.Dimension(100, 30));
        buttonRecharge.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonRechargeActionPerformed(evt);
            }
        });

        buttonStop.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        buttonStop.setText("Stop (Z)");
        buttonStop.setPreferredSize(new java.awt.Dimension(100, 30));
        buttonStop.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonStopActionPerformed(evt);
            }
        });

        labelRemoteControl.setIcon(new javax.swing.ImageIcon(getClass().getResource("/RemoteControl.png"))); // NOI18N

        textFuel.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        textFuel.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        textFuel.setText("800");

        labelFuel.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        labelFuel.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelFuel.setText("Fuel Level:");

        javax.swing.GroupLayout panelCreatureLayout = new javax.swing.GroupLayout(panelCreature);
        panelCreature.setLayout(panelCreatureLayout);
        panelCreatureLayout.setHorizontalGroup(
            panelCreatureLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelCreatureLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(panelCreatureLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(labelCurrentCreature, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(labelLocation, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(textLocation, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(labelFuel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(textFuel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(38, 38, 38)
                .addComponent(labelRemoteControl, javax.swing.GroupLayout.PREFERRED_SIZE, 240, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(panelCreatureLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(buttonRecharge, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(buttonStop, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        panelCreatureLayout.setVerticalGroup(
            panelCreatureLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelCreatureLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(panelCreatureLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(panelCreatureLayout.createSequentialGroup()
                        .addComponent(labelRemoteControl)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(panelCreatureLayout.createSequentialGroup()
                        .addGroup(panelCreatureLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(panelCreatureLayout.createSequentialGroup()
                                .addComponent(labelCurrentCreature, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(labelLocation)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(textLocation))
                            .addGroup(panelCreatureLayout.createSequentialGroup()
                                .addComponent(buttonRecharge, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(buttonStop, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(labelFuel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(textFuel)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
        );

        labelStatus.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        labelStatus.setText("Status");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(panelTitle, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addComponent(panelWorldServer, javax.swing.GroupLayout.PREFERRED_SIZE, 550, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(labelStatus, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(panelCreature, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(panelTitle, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(panelWorldServer, javax.swing.GroupLayout.PREFERRED_SIZE, 62, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(panelCreature, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(labelStatus)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void buttonNewCreatureActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonNewCreatureActionPerformed
        app.getWorldClientController().createNewCreature();
    }//GEN-LAST:event_buttonNewCreatureActionPerformed

    private void buttonConnectActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonConnectActionPerformed
        app.getWorldClientController().connectToWorldServer();
    }//GEN-LAST:event_buttonConnectActionPerformed

    private void buttonRechargeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonRechargeActionPerformed
        app.getWorldClientController().rechargeFuelOfCurrentCreature();
    }//GEN-LAST:event_buttonRechargeActionPerformed

    private void buttonStopActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonStopActionPerformed
        app.getWorldClientController().changeCurrentCreatureWorkingState();
    }//GEN-LAST:event_buttonStopActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton buttonConnect;
    private javax.swing.JButton buttonNewCreature;
    private javax.swing.JButton buttonRecharge;
    private javax.swing.JButton buttonStop;
    private javax.swing.JLabel labelAddr;
    private javax.swing.JLabel labelAppTitle;
    private javax.swing.JLabel labelCreatureId;
    private javax.swing.JLabel labelCreatures;
    private javax.swing.JLabel labelCurrentCreature;
    private javax.swing.JLabel labelFuel;
    private javax.swing.JLabel labelLocation;
    private javax.swing.JLabel labelPort;
    private javax.swing.JLabel labelRemoteControl;
    private javax.swing.JLabel labelStage;
    private javax.swing.JLabel labelStatus;
    private javax.swing.JLabel labelWorldServer3D;
    private javax.swing.JPanel panelCreature;
    private javax.swing.JPanel panelTitle;
    private javax.swing.JPanel panelWorldServer;
    private javax.swing.JTextField textAddr;
    private javax.swing.JFormattedTextField textCreatureId;
    private javax.swing.JLabel textFuel;
    private javax.swing.JLabel textLocation;
    private javax.swing.JFormattedTextField textPort;
    // End of variables declaration//GEN-END:variables

    public javax.swing.JButton getButtonConnect() {
        return buttonConnect;
    }

    public javax.swing.JButton getButtonNewCreature() {
        return buttonNewCreature;
    }

    public javax.swing.JButton getButtonRecharge() {
        return buttonRecharge;
    }

    public javax.swing.JButton getButtonStop() {
        return buttonStop;
    }

    public javax.swing.JLabel getLabelAddr() {
        return labelAddr;
    }

    public javax.swing.JLabel getLabelAppTitle() {
        return labelAppTitle;
    }

    public javax.swing.JLabel getLabelCreatureId() {
        return labelCreatureId;
    }

    public javax.swing.JLabel getLabelCreatures() {
        return labelCreatures;
    }

    public javax.swing.JLabel getLabelCurrentCreature() {
        return labelCurrentCreature;
    }

    public javax.swing.JLabel getLabelFuel() {
        return labelFuel;
    }

    public javax.swing.JLabel getLabelLocation() {
        return labelLocation;
    }

    public javax.swing.JLabel getLabelPort() {
        return labelPort;
    }

    public javax.swing.JLabel getLabelRemoteControl() {
        return labelRemoteControl;
    }

    public javax.swing.JLabel getLabelStage() {
        return labelStage;
    }

    public javax.swing.JLabel getLabelWorldServer3D() {
        return labelWorldServer3D;
    }

    public javax.swing.JPanel getPanelCreature() {
        return panelCreature;
    }

    public javax.swing.JPanel getPanelTitle() {
        return panelTitle;
    }

    public javax.swing.JPanel getPanelWorldServer() {
        return panelWorldServer;
    }

    public javax.swing.JTextField getTextAddr() {
        return textAddr;
    }

    public javax.swing.JFormattedTextField getTextCreatureId() {
        return textCreatureId;
    }

    public javax.swing.JLabel getTextFuel() {
        return textFuel;
    }

    public javax.swing.JLabel getTextLocation() {
        return textLocation;
    }

    public javax.swing.JFormattedTextField getTextPort() {
        return textPort;
    }

    public JLabel getLabelStatus() {
        return labelStatus;
    }

    public void setLabelStatus(JLabel labelStatus) {
        this.labelStatus = labelStatus;
    }
    
}
